- Qt 5.5
- Qt Widgets
- C++ Classes
- QLayout
- Qt 5.5.1 Reference Documentation

# Obsolete Members for QLayout

The following members of class QLayout are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- `(obsolete)` margin : int

## Property Documentation

### margin : int

This property holds the width of the outside border of the layout.

Use setContentsMargins() and getContentsMargins() instead.

Access functions:

int | margin() const
void | setMargin(int margin)

See also contentsRect() and spacing.